=== debian/changelog ===
openhackware (0.4.1-6ubuntu2) raring; urgency=low

  * Revert previous Ubuntu delta:
    - Change openhackware from arch all to arch powerpc since it only builds
      with a powerpc-linux-gnu toolchain.
    - Switch -arch and -indep targets in debian/rules.
  * Since Ubuntu always builds Architecture: all packages on i386, build
    using a cross-compiler.
  * d/p/freestanding.patch: build with -ffreestanding to fix FTBFS.

 -- Robie Basak <robie.basak@canonical.com>  Wed, 03 Apr 2013 17:05:07 +0000

openhackware (0.4.1-6ubuntu1) quantal; urgency=low

  * Change openhackware from arch all to arch powerpc since it only builds
    with a powerpc-linux-gnu toolchain.
  * Switch -arch and -indep targets in debian/rules.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 05 Aug 2012 15:39:06 +0200

openhackware (0.4.1-6) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Feb 2012 00:27:51 +0100

openhackware (0.4.1-5) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Call dh_prep and dh_installdirs from binary-indep.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Remove unused install target from debian/rules.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Rename build target to build-indep, and add an empty build-arch target.
  * Remove no longer available upstream Homepage. (Closes: #540471)
  * Disable watch file due to the above.
  * Add misc:Depends substvar to Depends field.

 -- Guillem Jover <guillem@debian.org>  Tue, 01 Nov 2011 01:58:36 +0100

openhackware (0.4.1-4) unstable; urgency=low

  * Update packaging Vcs fields to the new URL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Cleanup debian/copyright:
    - Change 'Copyright Holder' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Add missing copyright holders and years.
    - Refer to GPL-2 from common-licenses instead of just GPL.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jun 2008 22:11:07 +0300

openhackware (0.4.1-3) unstable; urgency=low

  * Fix typo in package description. (Closes: #390236)
    Thanks to Simon Waters <simon@technocool.net>.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Error out if the toolchain used to build is not powerpc-linux-gnu.
    (Closes: #322300, #339870)
  * Support cross-compiling by passing a cross prefix to make when not
    building natively.
  * Remove commented debhelper commands.
  * Do not ignore make errors on 'debian/rules clean'.
  * Switch to quilt:
    - Remove now unused debian/patch.mk.
    - Replace include of patch.mk with quilt.make in debian/rules.
    - Add Build-Depends on 'quilt (>= 0.40)'.
  * Move debhelper from Build-Depends-Indep to Build-Depends, needed by clean.
  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Dec 2007 08:57:39 +0200

openhackware (0.4.1-2) unstable; urgency=low

  * Stop Build-Depending on gcc-2.95, by adding the new missing .rodata.*
    sections into the main.ld scripts thus fixing build with latest gcc:s.
    - debian/patches/002_gcc-4.patch: New file.
  * Pass an empty CROSS_COMPILE on clean.
  * Switch to debhelper compat level 5.
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Fix FSF's address.
  * Rename clean target from debian/patch.mk to unpatch.
  * Switch patch and unpatch to single colon rules and make them PHONY.

 -- Guillem Jover <guillem@debian.org>  Tue, 21 Mar 2006 23:27:39 +0200

openhackware (0.4.1-1) unstable; urgency=low

  * Initial Release. (Closes: #303488)

 -- Guillem Jover <guillem@debian.org>  Mon, 23 May 2005 23:35:19 +0300
