=== debian/control ===
Source: openhackware
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
# The upstream site disappeared.
#Homepage: http://perso.magic.fr/l_indien/OpenHackWare/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/openhackware.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/openhackware.git
Build-Depends: debhelper (>= 7), gcc-powerpc-linux-gnu
Standards-Version: 3.9.2

Package: openhackware
Architecture: all
Depends: ${misc:Depends}
Description: OpenFirmware emulator for PowerPC
 OpenHackWare is an OpenFirmware emulator intended to be used on PowerPC
 machines. It is not a real OpenFirmware as it knows nothing about Forth.
 It emulates the OpenFirmware boot time interface as well as the RTAS
 interface. It also emulates some known "interpret" strings, to make it
 able to launch known OSes.
