=== debian/watch ===
version=3
#http://perso.magic.fr/l_indien/OpenHackWare/ .*/OpenHackWare-([0-9a-z.]*)\.tar\.bz2
