## openhackware 0.4.1%2Bgit-20140423.c559da7c

=== debian/changelog ===
openhackware (0.4.1+git-20140423.c559da7c-2) unstable; urgency=medium

  * Switch to dh.
  * Build-depends on binutils-source and gcc-4.9-source to build a
    minimal powerpc cross-compile.  Closes: #322300, #339870, #704624.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Aug 2014 15:35:20 +0200

openhackware (0.4.1+git-20140423.c559da7c-1) unstable; urgency=medium

  * Adopt the package, under the "Debian QEMU Team" umbrella.
    Closes: #658774.
  * New snapshot version hosted on the QEMU git:
    - Fix CDROM boot.  Closes: #502418.
    - Refresh 001_build.patch.
    - Drop 002_gcc-4.patch (merged).
  * Update debian/copyright and debian/control to point to the new
    download location.
  * Drop debian/watch.
  * Bump Standards-Version 3.9.5 (no changes needed).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Aug 2014 02:16:36 +0200
