## openhackware 0.4.1+git-20140423.c559da7c

=== debian/changelog ===
openhackware (0.4.1+git-20140423.c559da7c-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-7 (Johannes Brandstätter). Closes: #871094.
  * Make the build reproducible (Chris Lamb). Closes: #833444.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 15 Apr 2018 03:56:36 +0200

openhackware (0.4.1+git-20140423.c559da7c-4) unstable; urgency=medium

  * d/patches/001_build.patch: pass -fno-stack-protector.  This is not
    needed in Debian, but it is needed in Ubuntu because of differing
    compiler defaults, and the upstream build system doesn't honor
    dpkg-buildflags.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Jul 2016 13:53:44 -0700

openhackware (0.4.1+git-20140423.c559da7c-3) unstable; urgency=medium

  * Build using gcc-powerpc-linux-gnu cross-compiler. Closes: #818779.
  * Bump Standards-Version 3.9.7 (no changes needed).
  * Mark openhackware as Multi-Arch: foreign.  Closes: #767020.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Mar 2016 21:32:45 +0100
