=== debian/control ===
Source: openhackware
Section: misc
Priority: optional
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Homepage: http://git.qemu-project.org/?p=openhackware.git
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/openhackware.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/openhackware.git
Build-Depends: debhelper (>= 9), gcc-powerpc-linux-gnu [!powerpc]
Standards-Version: 3.9.7

Package: openhackware
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenFirmware emulator for PowerPC
 OpenHackWare is an OpenFirmware emulator intended to be used on PowerPC
 machines. It is not a real OpenFirmware as it knows nothing about Forth.
 It emulates the OpenFirmware boot time interface as well as the RTAS
 interface. It also emulates some known "interpret" strings, to make it
 able to launch known OSes.
