=== debian/rules ===
#!/usr/bin/make -f

export CROSS_COMPILE="powerpc-linux-gnu-"

%:
	dh $@ --parallel

override_dh_auto_build-indep:
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) clean
	rm -f ppc_rom.bin
